/**
 * CV. ILMION KREATIF = ILMION STUDIO 
 * https://ilmion.com - hi@ilmion.com
 * 
 * STYLE
 * version      : 1.0.0 - Beta
 * Realeased    : 17 Aug 2018 - Singosari - Mirza Ramadhany
 * Last Updated : - 
 */

 /* Select2
http://ivaynberg.github.io/select2/
*/
  .select2{min-width: 100% }
  .num{text-align: right;}
  .date > input{ text-align: center; }
  .input-group > .select2{
    position: relative;
    flex: 1 1 auto;
    width: 10%;
    min-width: 0;
  }

  .btn-w2gr{height:20px;font-size: 12px; display: block;}

  .select2-container--open .select2-dropdown--below{
    z-index: 9999;
  }

  #search .select2-container .select2-selection{ border: none !important;}
  #search .select2-selection__arrow{display: none;}
  .select2-results__option[aria-selected=true] {
      display: none;
  } 
  .select2-container .select2-selection,
  .select2-container-multi .select2-choices {
    border-color: transparent;
  }
  select.full-width + .select2-container {
    width: 100% !important;
  }
  .select2-container *:focus {
    outline: none;
  }
  .select2-container .select2-selection {
    background-image: none;
    border-radius: 2px;
    border: 1px solid rgba(77, 76, 76, 0.2) !important;
    padding: 2px 9px;
    transition: border 0.2s linear 0s;
  }
  .select2-container .select2-selection .select2-selection__rendered {
    padding: 0;
    padding-left: 3px;
    padding-top: 1px;
  }
  .select2-container .select2-selection .select2-selection__rendered .select2-selection__clear {
    font-weight: normal;
    right: 16px;
    width: 20px;
    text-align: center;
    color: #888;
  }
  .select2-container .select2-selection .select2-selection__arrow {
    top: auto;
    bottom: 5px;
    right: 10px !important;
    left: auto;
    background: transparent;
    border-left: 0px;
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
  }
  .select2-container .select2-selection.select2-selection--single {
    height: 35px;
  }
  .select2-container .select2-selection > .select2-chosen {
    margin-right: 26px;
    margin-left: 0;
  }
  .select2-container.select2-drop-above .select2-choice {
    border-bottom-right-radius: 2px;
    border-bottom-left-radius: 2px;
  }
  .select2-container--default .select2-results__option[aria-selected="true"] {
    background-color: transparent;
  }
  
  .select2-container--default .select2-results__group {
    color: #2c2c2c;
  }
  .select2-search input,
  .select2-search-choice-close,
  .select2-container .select2-choice abbr,
  .select2-container .select2-choice .select2-arrow b {
    background-image: none !important;
  }
  .select2-dropdown-open.select2-drop-above .select2-choice,
  
  .select2-dropdown-open.select2-drop-above .select2-choices {
    background-image: none !important;
    border: 1px solid rgba(35, 212, 11, 0.07);
    background: #880606;
  }


  .select2-dropdown-open .select2-choice .select2-arrow {
    -webkit-transform: scale(scale(1, -1));
    -ms-transform: scale(scale(1, -1));
    transform: scale(scale(1, -1));
  }
  .select2-dropdown {
    border: 1px solid rgba(0, 0, 0, 0.07);
    border-bottom: none;
    border-radius: 2px;
    padding-top: 0px;
  }
  .select2-dropdown.select2-drop-above {
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
    box-shadow: none;
  }
  .select2-container--open .select2-selection {
    box-shadow: none;
    border: 1px solid rgba(0, 0, 0, 0.07);
    background: #f0f0f0;
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
  }
  .select2-search--dropdown {
    padding-left: 8px;
    padding-right: 8px;
    padding-top: 4px;
  }
  .select2-search--dropdown input {
    background: #fff !important;
    vertical-align: baseline;
    line-height: 28px;
    border-radius: 2px;
    border: none;
    font-size: 12px;
    border: 1px solid rgba(0, 0, 0, 0.07) !important;
  }
  
  .select2-results {
    margin: 3px 8px 10px 8px;
  }
  .select2-results li {
    color: #626262;
  }
  .select2-results li.select2-result-with-children > .select2-result-label {
    color: #2c2c2c;
  }
  .select2-results li.select2-result-with-children > .select2-result-label:first-child {
    padding-top: 8px;
  }
  .select2-results .select2-results__option--highlighted {
    background-color: #f0f0f0 !important;
    border-radius: 3px;
    color: #626262 !important;
  }
  .select2-results .select2-no-results,
  .select2-results .select2-searching,
  .select2-results .select2-selection-limit {
    background: none;
    color: #626262;
    font-size: 12px;
    padding-left: 8px;
    padding-top: 0px;
    position: relative;
    top: -5px;
  }
  .select2-dropdown {
    border: 1px solid rgba(0, 0, 0, 0.07);
    border-bottom-right-radius: 2px;
    border-bottom-left-radius: 2px;
    padding-top: 5px;
    z-index: 790;
    box-shadow: 0 4px 5px rgba(0, 0, 0, 0.15);
  }
  .select2-container--open .select2-selection--multiple .select2-selection__choice {
    background-color: #fff !important;
  }
  .select2-selection--multiple .select2-selection__rendered {
    background-image: none;
  }
  .select2-selection--multiple .select2-selection__rendered .select2-selection__choice {
    background-color: #e6e6e6;
    background-image: none;
    border: none;
    box-shadow: none;
    color: inherit;
    border-radius: 8px;
    margin: 6px -5px 0px 10px;
    padding: 0 8px 0 7px;
    line-height: 21px;
  }
  .select2-selection--multiple .select2-selection__rendered .select2-selection__choice:first-child {
    margin-left: 0;
  }
  .select2-selection--multiple .select2-selection__rendered .select2-selection__choice .select2-selection__choice__remove {
    color: #626262;
    font-weight: 900;
    margin-right: 4px;
  }
  .select2-selection--multiple .select2-selection__rendered .select2-search--inline {
    margin-left: 8px;
  }
  .select2-selection--multiple.select2-container-active .select2-choices {
    border: 1px solid rgba(0, 0, 0, 0.07);
    box-shadow: none;
  }
  .select2-selection--multiple .select2-search-choice-close {
    left: 6px;
  }
  .select2-search-choice-close {
    background: none;
    top: 4px;
    right: 0;
  }
  .select2-search-choice-close:hover {
    text-decoration: none;
  }
  .select2-drop-multi .select2-results .select2-no-results,
  .select2-drop-multi .select2-results .select2-searching,
  .select2-drop-multi .select2-results .select2-selection-limit {
    top: 0px;
  }
  .select2.form-control {
    padding: 0;
    box-shadow: none;
    border: 0;
  }
  .select2-drop-mask {
    z-index: 700;
  } 